org.bdgenomics.adam.models

# OptionalPositionOrdering

###
Related Doc: package models

#### object OptionalPositionOrdering extends OptionalReferenceOrdering[ReferencePosition]

Linear Supertypes
OptionalReferenceOrdering[ReferencePosition], Ordering[Option[ReferencePosition]], PartialOrdering[Option[ReferencePosition]], Equiv[Option[ReferencePosition]], Serializable, Serializable, Comparator[Option[ReferencePosition]], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OptionalPositionOrdering
2. OptionalReferenceOrdering
3. Ordering
4. PartialOrdering
5. Equiv
6. Serializable
7. Serializable
8. Comparator
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val baseOrdering: PositionOrdering.type

   Definition Classes
     OptionalPositionOrdering → OptionalReferenceOrdering

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def compare(a: Option[ReferencePosition], b: Option[ReferencePosition]): Int

   Definition Classes
     OptionalReferenceOrdering → Ordering → Comparator

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def equiv(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering → Equiv

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def gt(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

14. #### def gteq(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def lt(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

18. #### def lteq(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

19. #### def max(x: Option[ReferencePosition], y: Option[ReferencePosition]): Option[ReferencePosition]

    Definition Classes
      Ordering

20. #### def min(x: Option[ReferencePosition], y: Option[ReferencePosition]): Option[ReferencePosition]

    Definition Classes
      Ordering

21. #### implicit def mkOrderingOps(lhs: Option[ReferencePosition]): Ops

    Definition Classes
      Ordering

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def on[U](f: (U) ⇒ Option[ReferencePosition]): Ordering[U]

    Definition Classes
      Ordering

26. #### def reverse: Ordering[Option[ReferencePosition]]

    Definition Classes
      Ordering → PartialOrdering

27. #### def reversed(): Comparator[Option[ReferencePosition]]

    Definition Classes
      Comparator

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def thenComparing[U <: Comparable[_ >: U]](arg0: Function[_ >: Option[ReferencePosition], _ <: U]): Comparator[Option[ReferencePosition]]

    Definition Classes
      Comparator

30. #### def thenComparing[U](arg0: Function[_ >: Option[ReferencePosition], _ <: U], arg1: Comparator[_ >: U]): Comparator[Option[ReferencePosition]]

    Definition Classes
      Comparator

31. #### def thenComparing(arg0: Comparator[_ >: Option[ReferencePosition]]): Comparator[Option[ReferencePosition]]

    Definition Classes
      Comparator

32. #### def thenComparingDouble(arg0: ToDoubleFunction[_ >: Option[ReferencePosition]]): Comparator[Option[ReferencePosition]]

    Definition Classes
      Comparator

33. #### def thenComparingInt(arg0: ToIntFunction[_ >: Option[ReferencePosition]]): Comparator[Option[ReferencePosition]]

    Definition Classes
      Comparator

34. #### def thenComparingLong(arg0: ToLongFunction[_ >: Option[ReferencePosition]]): Comparator[Option[ReferencePosition]]

    Definition Classes
      Comparator

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### def tryCompare(x: Option[ReferencePosition], y: Option[ReferencePosition]): Some[Int]

    Definition Classes
      Ordering → PartialOrdering

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from OptionalReferenceOrdering[ReferencePosition]

### Inherited from Ordering[Option[ReferencePosition]]

### Inherited from PartialOrdering[Option[ReferencePosition]]

### Inherited from Equiv[Option[ReferencePosition]]

### Inherited from Serializable

### Inherited from Comparator[Option[ReferencePosition]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped